// cumple.h - Declaración de la clase cumpleaños
#if !defined( _CUMPLE_H_ )
#define _CUMPLE_H_

class CCumpleanyos
{
  private:
    char *nombre;
    CFecha fecha_nacimiento; // objeto CFecha
    long telefono;
  protected:
    char *asignarCadena(char *) const;
  public:
    CCumpleanyos(char * = 0,int = 1,int = 1,int = 2001,long = 0);
    ~CCumpleanyos() { delete [] nombre; }
    void asignarNombre(char *);
    char *obtenerNombre(char *) const;
    //char* obtenerNombre() { return nombre; }
    CFecha& fechaNacimiento() { return fecha_nacimiento; }
    CFecha fechaNacimiento() const { return fecha_nacimiento; }
    void asignarTelefono(long);
    long obtenerTelefono() const;
};

#endif // _CUMPLE_H_

